Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.client.support
Class RestGatewaySupport

    java.lang.Object
      org.springframework.web.client.support.RestGatewaySupport

    public class RestGatewaySupport

extends java.lang.Object

Convenient super class for application classes that need REST access.

Requires a `ClientHttpRequestFactory` or a `RestTemplate` instance to be set.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  `setRestTemplate(org.springframework.web.client.RestTemplate)`, `RestTemplate`

Field Summary
`protected org.apache.commons.logging.Log` | `logger` Logger available to subclasses

Constructor Summary
`RestGatewaySupport()` Construct a new instance of the `RestGatewaySupport`, with default parameters.
`RestGatewaySupport(ClientHttpRequestFactory requestFactory)` Construct a new instance of the `RestGatewaySupport`, with the given `ClientHttpRequestFactory`.

Method Summary
`RestTemplate` | `getRestTemplate()` Returns the `RestTemplate` for the gateway.
`void` | `setRestTemplate(RestTemplate restTemplate)` Sets the `RestTemplate` for the gateway.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.apache.commons.logging.Log logger

  Logger available to subclasses

Constructor Detail

### RestGatewaySupport

    public RestGatewaySupport()

  Construct a new instance of the `RestGatewaySupport`, with default parameters.

### RestGatewaySupport

    public RestGatewaySupport(ClientHttpRequestFactory requestFactory)

  Construct a new instance of the `RestGatewaySupport`, with the given `ClientHttpRequestFactory`.

  See Also:
    `RestTemplate.RestTemplate(ClientHttpRequestFactory)`

Method Detail

### setRestTemplate

    public void setRestTemplate(RestTemplate restTemplate)

  Sets the `RestTemplate` for the gateway.

### getRestTemplate

    public RestTemplate getRestTemplate()

  Returns the `RestTemplate` for the gateway.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD